# lsb.spec.in -- an rpm spec file templete for LSB package
# Epson Inkjet Printer Driver (ESC/P-R) for Linux
# Copyright (C) Seiko Epson Corporation 2015.
#  This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

%define pkg     epson-laser-printer-lp-s6160
%define ver     1.0.1
%define rel     1

# used in RPM macro set for the LSB Driver Development Kit
%define drivername      epson-laser-printer-lp-s6160
%define ppdname		epson-laser-printer
%define driverstr       epson-laser-printer-lp-s6160
%define distribution    LSB
%define manufacturer    EPSON
%define supplier        %{drivername}
%define lsbver          3.2

%define extraversion    -%{rel}lsb%{lsbver}
%define supplierstr     Seiko Epson Corporation


Name: %{pkg}
Version: %{ver}
Release: %{rel}lsb%{lsbver}
Source0: %{name}-%{version}.tar.gz
License: LGPL and SEIKO EPSON CORPORATION SOFTWARE LICENSE AGREEMENT
Vendor: Seiko Epson Corporation
URL: http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX
Packager:  Seiko Epson Corporation <linux-printer@epson.jp>
BuildRoot: %{_tmppath}/%{name}-%{version}
Group: Applications/System
Requires: lsb >= %{lsbver}
Summary: LP-S6160 - Epson Laser Printer Driver

%description
This software is a filter program used with Common UNIX Printing
System (CUPS) from the Linux. This can supply the high quality print
with Seiko Epson Color Printers.

This printer driver is supporting the following printer.

LP-S6160

For detail list of supported printer, please refer to below site:
http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX

# from RPM macro set for the LSB Driver Development Kit
%install_into_opt

# Packaging settings
%prep
%setup -q

%build
autoreconf -vfi
%configure \
       --with-cupsfilterdir=%{_cupsserverbin}/filter \
        --with-cupsppddir=%{_cupsppd}
make pkgdatadir=%{_datadir}

%install
rm -rf %{buildroot}
# Make directories
install -d %{buildroot}%{_cupsserverbin}/filter
# install -d %{buildroot}%{_libdir}
# install -d %{buildroot}%{_datadir}
install -d %{buildroot}%{_docdir}
make install-strip DESTDIR=%{buildroot} pkgdatadir=%{_datadir}
cd src
install -m 777 pstolpf-lp-s6160.sh %{buildroot}%{_cupsserverbin}/filter/
# cd 32
# install -m 777 epstops %{buildroot}%{_cupsserverbin}/filter/
# cd ..
cd ..
# cd libcolor
# cd lib
# install -m 644 Epson_lp-s6160.CM.data %{buildroot}%{_datadir}/
# install -m 644 Epson_lp-s6100.CM.data %{buildroot}%{_datadir}/
# cd 32
# install -m 644 libEpson_CM.so.1.0.0 %{buildroot}%{_libdir}/
# cd ..
# cd ..
# cd ..
install -m 644 README README.ja COPYING.LIB COPYING COPYING.EPSON AUTHORS NEWS %{buildroot}%{_docdir}
rm -f %{buildroot}%{_libdirglob}/*.a
rm -f %{buildroot}%{_libdirglob}/*.la

# from RPM macro set for the LSB Driver Development Kit
%adjust_ppds

# keep buildroot tree for makelsbpkg.
# after you execute rpmbuild -bb, execute the following commands.
# # makelsbpkg %{name} \
#     --tagfile makelsbpkg-tags.xml \
#     --permfile makelsbpkg-perms.xml \
#     %{buildroot}.BAK
cp -a %{buildroot} %{buildroot}.BAK

# pre/post scripts
%pre
if [ ! -x /usr/bin/pstops ]; then
    echo "[!]/usr/bin/pstops is not found. Please install psutils or appropriate package."
    exit 1
fi
%create_opt_dirs

%post
/sbin/ldconfig
%set_ppd_links
%restart_cups

%postun
/sbin/ldconfig
%not_on_rpm_update
%remove_ppd_links
%restart_cups
%end_not_on_rpm_update

%clean
make clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_prefix}*
